<?php
/**
 * @file
 * wcm_watchdog_to_slack.rules_defaults.inc
 */

/**
 * Implements hook_default_rules_configuration().
 */
function wcm_watchdog_to_slack_default_rules_configuration() {
  $items = array();
  $items['rules_mail_error_to_slack'] = entity_import('rules_config', '{ "rules_mail_error_to_slack" : {
      "LABEL" : "mail error to slack",
      "PLUGIN" : "reaction rule",
      "OWNER" : "rules",
      "REQUIRES" : [ "rules", "slack", "watchdog_rules" ],
      "ON" : { "watchdog_rules" : [] },
      "IF" : [
        { "data_is" : { "data" : [ "watchdog-type" ], "value" : "mail" } },
        { "data_is" : { "data" : [ "watchdog-severity" ], "value" : "3" } }
      ],
      "DO" : [
        { "slack_send_message" : {
            "channel" : "#website-discussion",
            "message" : "\\u003C!channel\\u003E Mail error on [site:name]. Check logs on [site:url]."
          }
        }
      ]
    }
  }');
  return $items;
}
